public class HistoricalEvent implements Comparable
{
    private String name;
    private String location;
    private int day;
    private int month;
    private int year;

    public HistoricalEvent(String name, String location, int day, int month, int year)
    {
        this.name=name;
        this.location=location;
        this.day=day;
        this.month=month;
        this.year=year;
    }

    public int getDay()
    {
        return day;
    }

    public int getMonth()
    {
        return month;
    }

    public int getYear()
    {
        return year;
    }    
    
    public int compareTo(Object p)
    {
        HistoricalEvent event=(HistoricalEvent)p;
        if (year < event.getYear())
        {
            return 1;
        }
        else if (year > event.getYear())
        {
            return -1;
        }
        else
        {
            if (month < event.getMonth())
            {
                return 1;
            }
            else if (month > event.getMonth())
            {
                return -1;
            }
            else
            {
                if (day < event.getDay())
                {
                    return 1;
                }
                else if (day > event.getDay())
                {
                    return -1;
                }
                else return 0;
            }
        }
    }
}